Bug 988423 - Jcr2vfs migration tool does not migrate GIF images
Jcr2vfs migration tool does not migrate GIF images
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER6
: 6.0.0
Assigned To: Mark Proctor
Petr Široký
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 10:55 EDT by Petr Široký
Modified: 2014-08-06 16:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Široký 2013-07-25 10:55:28 EDT
Description of problem:
The jcr2vfs migration tool does not currently migrate GIF images. The following message is displayed to the user: "TODO migrate asset ({defaultemailicon}) with format({gif})".

PNG images are migrated correctly so I suppose the GIFs should be migrated too.


Version-Release number of selected component (if applicable):
6.0.0-DR6 (and current 6.0.0-SNAPSHOT)


How reproducible:
Always


Steps to Reproduce:
1. Run the guvnor and create/import some git images there. (for example as icon for WIDs)
2. Run the migrator with the repo created above.


Actual results:
The GIF image assets are not migrated.


Expected results:
GIF image assets are successfully migrated to vfs repo.
Comment 1 Jervis Liu 2013-07-30 07:23:20 EDT
fixed: http://github.com/droolsjbpm/drools-wb/commit/2c0e64ab2
Comment 7 Petr Široký 2014-01-14 06:05:18 EST
Verified fixed in 6.0.0-ER7.

Note You need to log in before you can comment on or make changes to this bug.